@layer global, medium, component;
@layer global {

:root {
  --background-color: oklch(95% 0.139 79.32);
  --body-font-size: clamp(
    1rem,
    0.5 * ((1650vw + 1117vh)/2767) + 1rem,
    2.4rem
  );
}

@supports not (--background-color: oklch(95% 0.139 79.32) ) {
  :root { --background-color: #ffeccd; }
}

/* Elements */

html {
  background-color: var(--background-color);
  font-family: 'Cello Sans';
}

main {
  font-size: var(--body-font-size);
  max-width: 72ch;
}

p {
  font-size: var(--body-font-size);
}

h1 {
  font-size: calc( 2.71828*var(--body-font-size) );
}

h2 {
  font-size: calc( 2*var(--body-font-size) );
}

h3 {
  font-size: calc( 1.64872*var(--body-font-size) );
}

h4 {
  font-size: calc( 1.28403*var(--body-font-size) );
}

h1, h2, h3, h4 {
  font-family: 'Aleo';
}

/* Classes */

@media screen { /* media query prevents text from being cut off when page is printed */
  .layout-container {
    display: grid;
    place-items: center;
  }
}

}